org.apache.olingo.server.api.uri.queryoption.expression

## Enum BinaryOperatorKind

- java.lang.Object
- - java.lang.Enum<BinaryOperatorKind>
  - - org.apache.olingo.server.api.uri.queryoption.expression.BinaryOperatorKind

- All Implemented Interfaces:
    Serializable, Comparable<BinaryOperatorKind>

      public enum BinaryOperatorKind
      extends Enum<BinaryOperatorKind>

  Enumeration of supported binary operators
  For the semantic of these operators please see the ODATA specification for URL conventions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD` Addition operator
    `AND` And operator
    `DIV` Division operator
    `EQ` Equality operator
    `GE` Greater than or equals (">=") operator
    `GT` Greater than operator (">")
    `HAS` OData has operator used for OData enumerations
    `IN` In operator
    `LE` Lesser operator or equals ("<=") operator
    `LT` Lesser than operator ("<")
    `MOD` Modulo operator
    `MUL` Multiplication operator
    `NE` Inequality operator
    `OR` Or operator
    `SUB` Subtraction operator

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BinaryOperatorKind` | `get(String operator)` URI syntax to enumeration value
    `String` | `toString()`
    `static BinaryOperatorKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BinaryOperatorKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HAS

          public static final BinaryOperatorKind HAS

      OData has operator used for OData enumerations

    - #### IN

          public static final BinaryOperatorKind IN

      In operator

    - #### MUL

          public static final BinaryOperatorKind MUL

      Multiplication operator

    - #### DIV

          public static final BinaryOperatorKind DIV

      Division operator

    - #### MOD

          public static final BinaryOperatorKind MOD

      Modulo operator

    - #### ADD

          public static final BinaryOperatorKind ADD

      Addition operator

    - #### SUB

          public static final BinaryOperatorKind SUB

      Subtraction operator

    - #### GT

          public static final BinaryOperatorKind GT

      Greater than operator (">")

    - #### GE

          public static final BinaryOperatorKind GE

      Greater than or equals (">=") operator

    - #### LT

          public static final BinaryOperatorKind LT

      Lesser than operator ("<")

    - #### LE

          public static final BinaryOperatorKind LE

      Lesser operator or equals ("<=") operator

    - #### EQ

          public static final BinaryOperatorKind EQ

      Equality operator

    - #### NE

          public static final BinaryOperatorKind NE

      Inequality operator

    - #### AND

          public static final BinaryOperatorKind AND

      And operator

    - #### OR

          public static final BinaryOperatorKind OR

      Or operator

  - ### Method Detail

    - #### values

          public static BinaryOperatorKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BinaryOperatorKind c : BinaryOperatorKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BinaryOperatorKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static BinaryOperatorKind get(String operator)

      URI syntax to enumeration value
      Parameters:
        `operator` - Operator in the syntax used in the URI
      Returns:
        Operator kind which represents the given syntax

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<BinaryOperatorKind>`
      Returns:
        URI syntax for that operator kind

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.